Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.labels
Interface XYToolTipGenerator

All Known Subinterfaces:
  XYZToolTipGenerator

All Known Implementing Classes:
  BoxAndWhiskerXYToolTipGenerator, CustomXYToolTipGenerator, HighLowItemLabelGenerator, StandardXYToolTipGenerator, StandardXYZToolTipGenerator, SymbolicXYItemLabelGenerator

    public interface XYToolTipGenerator

Interface for a tooltip generator for plots that use data from an `XYDataset`.

Method Summary
`java.lang.String` | `generateToolTip(XYDataset dataset, int series, int item)` Generates the tooltip text for the specified item.

Method Detail

### generateToolTip

    java.lang.String generateToolTip(XYDataset dataset,
                                     int series,
                                     int item)

  Generates the tooltip text for the specified item.

  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    The tooltip text (possibly `null`).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.